Build cancel conditional order transaction
curl --request POST \
--url https://perp-api.phoenix.trade/v1/ix/cancel-conditional-order \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"authority": "string",
"conditionalOrderIndex": 0,
"executionDirection": "string",
"symbol": "string",
"traderPdaIndex": 0
}
'import requests
url = "https://perp-api.phoenix.trade/v1/ix/cancel-conditional-order"
payload = {
"authority": "string",
"conditionalOrderIndex": 0,
"executionDirection": "string",
"symbol": "string",
"traderPdaIndex": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
authority: 'string',
conditionalOrderIndex: 0,
executionDirection: 'string',
symbol: 'string',
traderPdaIndex: 0
})
};
fetch('https://perp-api.phoenix.trade/v1/ix/cancel-conditional-order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"data": [
1
],
"keys": [
{
"isSigner": true,
"isWritable": true,
"pubkey": "<string>"
}
],
"programId": "<string>"
}
]Trader
Build cancel conditional order transaction
Handles POST /v1/ix/cancel-conditional-order via post.v1.ix.cancel_conditional_order.
POST
/
v1
/
ix
/
cancel-conditional-order
Build cancel conditional order transaction
Authorizations
Bearer access token issued by /v1/auth/* login endpoints.
Body
application/json
JSON request payload for post.v1.ix.cancel_conditional_order.
Request payload for /v1/ix/cancel-conditional-order.
Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0⌘I